
function Show() {
  $(".menu-container, .logo , li, .close, .icon-bar, #nav-lists").addClass("responsive");
  
}

function Hide(){
  $(".menu-container, .logo , li, .close, .icon-bar, #nav-lists").removeClass("responsive");
}

let createHeader = () => {
    let menu = $("#menu");
    let list = $("<ul>",{class: "nav-list"});
    menu.append(list)
    list.append("<li class='close'><span onclick='Hide()'>x</span></li>");
	json_menu.forEach((menu_item) => {
		list.append(
            getMenuItem(menu_item)
        );
	})
}

let getMenuItem = function (itemData) {
    let active = "";
    if(itemData.active){
        active = "active";
    }
    let item = $("<li>")
        .append(
    $("<a>", {
        href: itemData.href,
        html: itemData.name,
        class: active
    }));
    return item;
};

let createFooter = () => {
    let menu = $("#menu-footer");
	json_menu.forEach((menu_item) => {
		menu.append(
            getMenuItemFooter(menu_item)
        );
	})
}

let getMenuItemFooter = function (itemData) {
    let active = "";
    if(itemData.active){
        active = "active";
    }
    let item = 
    $("<a>", {
        href: itemData.href,
        html: itemData.name,
        class: active
    });
    return item;
};

if (window.location.href.indexOf("sell-your-land.php") > -1) {
    document.addEventListener("DOMContentLoaded", function () {
        var ttNumberDiv = document.getElementById("tt_number");
        if (ttNumberDiv) {
            var tooltipSpan = document.createElement("span");
            tooltipSpan.className = "tooltiptext";
            tooltipSpan.textContent = "Your reference number can be found on the bottom right corner of the letter that we sent you.";
            ttNumberDiv.appendChild(tooltipSpan);
        }
    });
}


$(document).ready(function(){
    createHeader();
    createFooter();

	document.querySelectorAll('a[href^="#"]').forEach(anchor => {
		anchor.addEventListener('click', function (e) {
			e.preventDefault();

			document.querySelector(this.getAttribute('href')).scrollIntoView({
				behavior: 'smooth'
			});
		});
	});
});

function displayNoneSiteMap() {
    var enlaces = document.querySelectorAll('.footer a');
    enlaces.forEach(function(enlace) {
        if (enlace.innerText.toLowerCase() === 'sitemap') {
            enlace.style.display = 'none';
        }
    });
}

document.addEventListener('DOMContentLoaded', displayNoneSiteMap);

